package com.xxfc.rv.fragment;

import android.os.Bundle;
import android.widget.ImageView;
import android.widget.TextView;

import com.bumptech.glide.Glide;
import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.base.BaseFragment;
import com.ruiwenliu.wrapper.base.presenter.CommonPresenter;
import com.rv.share.utils.TransformationUtils;
import com.xxfc.rv.R;

public class GuideThirdFragment extends BaseFragment<CommonPresenter> {
    private ImageView imageView;
    private TextView textView1;
    private TextView textView2;

    public GuideThirdFragment() {

    }

    @Override
    public int getViewLayout() {
        return R.layout.fragment_guide;
    }

    @Override
    protected void initView(Bundle savedInstanceState) {
        imageView = getView().findViewById(R.id.image);
        textView1 = getView().findViewById(R.id.textview1);
        textView2 = getView().findViewById(R.id.textview2);
        textView1.setText("超值周边游任你选");
        String html = "海量房车旅游路线\n尽在掌握";
        textView2.setText(html);
        Glide.with(getActivity())
                .asBitmap()
                .load(R.drawable.icon_guide3)
                .into(new TransformationUtils(imageView));
    }

    @Override
    protected void loadData(Bundle savedInstanceState) {

    }

    @Override
    public void onShowResult(int requestType, BaseBean result) {

    }
}
